QGIS Application - Bug report #21374
OTB: Large scale meanshift fails
2019-02-25 12:46 PM - Paolo Cavallini

Status: Rejected

Priority: Normal

Assignee: Rashad Kanavath

Category: Processing/OTB

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 29191
Description

“Large scale meanshift’, all default params, fails with the message:
‘raster.out.tif files are not supported as outputs for this algorithm.”

Associated revisions

Revision b12f33ba - 2019-03-19 01:03 AM - Nyall Dawson

[processing] Fix QgsProcessingProvider::isSupportedOutputValue handling
of optional output parameters

Refs #21374

Revision 2564339e - 2019-03-19 01:03 AM - Nyall Dawson

[processing] Fix QgsProcessingProvider::isSupportedOutputValue handling
of optional output parameters

Refs #21374

Revision 8¢ff9419 - 2019-03-19 09:01 PM - Nyall Dawson

[processing] Fix QgsProcessingProvider::isSupportedOutputValue handling
of optional output parameters

Refs #21374

Revision 4e8c94fb - 2019-03-20 03:58 AM - Nyall Dawson

[processing] Fix QgsProcessingProvider::isSupportedOutputValue handling

of optional output parameters

Refs #21374

Revision f6ad4745 - 2019-03-20 07:44 PM - Rashad Kanavath
fixes #21374: ignore optional output parameters

Revision ¢763b922 - 2019-03-20 07:44 PM - Rashad Kanavath

fix #21373 #21374: handle update optional status based on user-input
Parameters are marked required in descriptor file for certian
applications but they are only required if a parent parameter has a
"certain" value. So initial idea was to make all of those parameters
optional from OTB part. So that qgis can work correctly and was a easy
fix. But.. we (me and Antonie) decided not to take that route and

found a better fix.

"OtbParameterChoice” and its wrapper will update optional status of

all sub-parameters depending on the value of a choice parameter.

A test has been added to check this issue and will be available in

next commit.

Revision 122bc2b7 - 2019-03-21 06:01 AM - Nyall Dawson

[processing] Fix QgsProcessingProvider::isSupportedOutputValue handling
of optional output parameters

Refs #21374

History

#1 - 2019-02-25 01:21 PM - Rashad Kanavath

Paolo Cavallini wrote:

‘Large scale meanshift’, all default params, fails with the message:

‘raster.out.tif files are not supported as outputs for this algorithm.”

my osgeoid is rashadkm

| will test this locally and let you know

#2 - 2019-02-25 02:03 PM - Paolo Cavallini

- Assignee set to Rashad Kanavath

#3 - 2019-02-25 02:37 PM - Antoine Regimbeau

This is a known problem in OTB. It will be fixed in the next release. For more information see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/issues/1814.

#4 - 2019-02-25 02:41 PM - Paolo Cavallini
- Resolution set to up/downstream
https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/issues/1814

- Status changed from Open to Rejected

Thanks
